Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSDestinationKeyMBean

public interface JMSDestinationKeyMBean
extends ConfigurationMBean, JMSConstants

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getDirection()` Returns the direction (Ascending or Descending) in which to sort for this key.
`java.lang.String` | `getKeyType()` Returns the expected property type for this key.
`java.lang.String` | `getProperty()` Returns the property name for this key.
`void` | `setDirection(java.lang.String direction)` Set the direction in which to sort (Acending or Descending) for this key.
`void` | `setKeyType(java.lang.String type)` Set the expected property type for this key.
`void` | `setProperty(java.lang.String property)` Set the property name for this key.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getProperty

    public java.lang.String getProperty()

  Returns the property name for this key.

  This value indicates a message property name or the name of a message header field on which to sort. Message header field keys ignore the key type and reference message header fields rather than message properties.

  Note: To improve performance, we recommend using message header fields as sorting keys, rather than message properties.

  Range of Values:

  The JMS Property name (including user properties) or message header fields that can be sorted on are as follows:

  - JMSMessageID
  - JMSTimestamp
  - JMSCorrelationID
  - JMSPriority
  - JMSExpiration
  - JMSType
  - JMSRedelivered
  - JMSDeliveryTime

  This attribute is not dynamically configurable.

### setProperty

    public void setProperty(java.lang.String property)
                     throws javax.management.InvalidAttributeValueException

  Set the property name for this key.

  This value indicates a message property name or the name of a message header field on which to sort. Message header field keys ignore the key type and reference message header fields rather than message properties.

  Note: To improve performance, we recommend using message header fields as sorting keys, rather than message properties.

  Range of Values:

  The JMS Property name (including user properties) or message header fields that can be sorted on are as follows:

  - JMSMessageID
  - JMSTimestamp
  - JMSCorrelationID
  - JMSPriority
  - JMSExpiration
  - JMSType
  - JMSRedelivered
  - JMSDeliveryTime

  This attribute is not dynamically configurable.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getKeyType

    public java.lang.String getKeyType()

  Returns the expected property type for this key.

### setKeyType

    public void setKeyType(java.lang.String type)
                    throws javax.management.InvalidAttributeValueException

  Set the expected property type for this key.

  Default Value: weblogic.management.configuration.JMSConstants.KEY_TYPE_STRING
  Legal Values: weblogic.management.configuration.JMSConstants.KEY_TYPE_BOOLEAN,weblogic.management.configuration.JMSConstants.KEY_TYPE_BYTE,weblogic.management.configuration.JMSConstants.KEY_TYPE_SHORT,weblogic.management.configuration.JMSConstants.KEY_TYPE_INT,weblogic.management.configuration.JMSConstants.KEY_TYPE_LONG,weblogic.management.configuration.JMSConstants.KEY_TYPE_FLOAT,weblogic.management.configuration.JMSConstants.KEY_TYPE_DOUBLE,weblogic.management.configuration.JMSConstants.KEY_TYPE_STRING

### getDirection

    public java.lang.String getDirection()

  Returns the direction (Ascending or Descending) in which to sort for this key.

  Choosing Ascending for JMSMessageID implies a FIFO (first in, first out) sort order (the default for destinations). Set the value to Descending for a LIFO (last in, first out) sort order.

  This attribute is not dynamically configurable.

### setDirection

    public void setDirection(java.lang.String direction)
                      throws javax.management.InvalidAttributeValueException

  Set the direction in which to sort (Acending or Descending) for this key.

  Choosing Ascending for JMSMessageID implies a FIFO (first in, first out) sort order (the default for destinations). Set the value to Descending for a LIFO (last in, first out) sort order.

  This attribute is not dynamically configurable.

  Default Value: weblogic.management.configuration.JMSConstants.KEY_DIRECTION_ASCENDING
  Legal Values: weblogic.management.configuration.JMSConstants.KEY_DIRECTION_ASCENDING,weblogic.management.configuration.JMSConstants.KEY_DIRECTION_DESCENDING

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference